import * as $dara from '@darabonba/typescript';
import { DeleteIdcProbeResponseBody } from "./DeleteIdcProbeResponseBody";
export declare class DeleteIdcProbeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteIdcProbeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
